myapps:
  siteid: 
server:
  port: 8080
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  servlet:
    multipart:
      maxFileSize: 10Mb
      max-request-size: 100MB
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-gateway
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-path: /actuator/health
        health-check-interval: 10s
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      host: localhost
      port: 8500
      
logging.level.org.springframework.security: DEBUG

zuul:
  routes:
    obpm-signon:
      path: ${myapps.siteid}/signon/**
      strip-prefix: false
      serviceId: obpm-signon
      sensitiveHeaders: "*"
    obpm-runtime:
      path: ${myapps.siteid}/obpm/**
      strip-prefix: false
      serviceId: obpm-runtime
      sensitiveHeaders: "*"
    obpm-kms:
      path: ${myapps.siteid}/kms/**
      strip-prefix: false
      serviceId: obpm-kms
      sensitiveHeaders: "*"
    obpm-admin:
      path: /${myapps.siteid}/admin/**
      strip-prefix: false
      serviceId: obpm-admin
      sensitiveHeaders: "*"
  host:
      connect-timeout-millis: 60000
      socket-timeout-millis: 120000
  add-host-header: true
  intelligentsia-authority:
    sensitiveHeaders: Authorization
  #Redis服务器地址
  redis:
    host: 49.4.21.141
    port: 6379
    password:
  session:
    store-type: REDIS
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000


management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS
